#ifndef _CONST_H
#define _CONST_H

#define ERR 0
#define SUCCESS 1

#define LARGURA 800
#define ALTURA 600

#define VERMELHO al_map_rgb(255,0,0)
#define BRANCO al_map_rgb(255,255,255)
#define PRETO al_map_rgb(0,0,0)
#define AZUL al_map_rgb(0,0,255)
#define AZUL_CLARO al_map_rgb(195,195,255)
#define VERDE al_map_rgb(0,255,0)
#define VERDE_ESCURO al_map_rgb(0,128,0)
#define AMARELO al_map_rgb(255,255,0)
#define VERMELHO_CLARO al_map_rgb(255, 150, 150)
#define ROSA al_map_rgb(255,0,255)
#define LARANJA al_map_rgb(255, 128, 0)
#define ROXO al_map_rgb(100, 0, 100)
#define MARROM al_map_rgb(80, 10, 0)
#define LILAS al_map_rgb(200, 0, 200)
#define AZUL_TRANSP1 al_map_rgba(0,70,128,70)

#define BLOCK_SIZE 32
#define MAX_MAP_SIZE 500
#define NUM_BLOCK_X LARGURA / BLOCK_SIZE
#define NUM_BLOCK_Y ALTURA / BLOCK_SIZE
#define VERSAO 0.1


//macros de tiles

#include "tile_macros.h"

//Macros de debug:
#define ccc printf("chegou aqui\n"); getchar(); setbuf(stdin, NULL);




#endif // CONST_H


//////////////////////////

