#include "main_protot.h"


void print_info_display(ALLEGRO_FONT *font, float click_x, float click_y, int pixel_x, int pixel_y, float desloc_x, float desloc_y)
{
    //al_draw_textf(font, cor, posx, posy, 0, "string", args ...)

    if(font==NULL)
    {
        return;

    } else
    {
        ALLEGRO_COLOR branco = BRANCO;
        al_draw_textf(font, branco, click_x, click_y, 0, "Pixel_x: %d , Pixel_y: %d, DeslocX: %f, DeslocY: %f", pixel_x, pixel_y, desloc_x, desloc_y);

    }

}


void printa_barras_rolagem(float desloc_x, float desloc_y)
{


}


int init_mapa(int mapa[][MAX_MAP_SIZE])
{
    if(mapa==NULL)
    {
        return ERR;
    }else
    {
        int i,j;

        for(i=0;i<MAX_MAP_SIZE;i++)
        {
            for(j=0;j<MAX_MAP_SIZE;j++)
            {
                mapa[i][j] = 8;
            }
        }

        return SUCCESS;

    }


}


void draw_map_reg(int mapa[][MAX_MAP_SIZE], int desloc_x, int desloc_y, ALLEGRO_BITMAP* tiles)
{
    short int i, j;
    float px, py;


//    for(i=from_x; i<to_x; i++)
//    {
//        for(j=from_y;j<to_y;j++)
//        {
//            desenha_tile(tiles, mapa[i][j], i, j);
//
//        }
//    }

    for(i = 0 ; i < NUM_BLOCK_X ; i++)
    {
        for(j = 0 ; j < NUM_BLOCK_Y+1 ; j++)
        {
            if(i+desloc_x<MAX_MAP_SIZE && j+desloc_y<MAX_MAP_SIZE && i+desloc_x >= 0 && j+desloc_y>=0)
                desenha_tile(tiles, mapa[i+desloc_x][j+desloc_y], i, j);

        }
    }
//



//    system("clear");
//    printf("i: %d, j: %d\n",i,j);

}

void printa_mapa(int mapa[][MAX_MAP_SIZE], int from_x, int from_y, int to_x, int to_y)
{
    if(mapa!=NULL)
    {
        int i,j;
        for( i = from_x ; i <= to_x ; i++)
        {
            for( j = from_y ; j <= to_y ; j++)
            {
                printf("%d ", mapa[i][j]);
            }
            printf("\n");
        }
    }
}


bool is_equal(ALLEGRO_COLOR c1, ALLEGRO_COLOR c2)
{
    if(c1.r == c2.r && c1.g == c2.g && c1.b == c2.b) return true;
    else return false;
}


void desenha_tile(ALLEGRO_BITMAP* tiles, int id, int i, int j)
{
    if(tiles!=NULL)
    {
        switch(id)
        {
                case -1:
                    al_draw_bitmap_region(tiles, NULL_TILE, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;
                case 0:
                    al_draw_bitmap_region(tiles, GRAMA1, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;
                case 1:
                    al_draw_bitmap_region(tiles, GRAMA2, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 2:
                    al_draw_bitmap_region(tiles, TERRA1, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 3:
                    al_draw_bitmap_region(tiles, PISO1, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 4:
                    al_draw_bitmap_region(tiles, PISO2, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 5:
                    al_draw_bitmap_region(tiles, PISO3, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 6:
                    al_draw_bitmap_region(tiles, PISO4, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 7:
                    al_draw_bitmap_region(tiles, PISO11, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 8:
                    al_draw_bitmap_region(tiles, TAPETE_VERMELHO, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 9:
                    al_draw_bitmap_region(tiles, PISO_XADREZ, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 10:
                    al_draw_bitmap_region(tiles, PISO_CIMENTO, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 11:
                    al_draw_bitmap_region(tiles, PISO12, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 12:
                    al_draw_bitmap_region(tiles, AGUA, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 13:
                    al_draw_bitmap_region(tiles, PISO5, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 14:
                    al_draw_bitmap_region(tiles, PISO_CIMENTO2, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 15:
                    al_draw_bitmap_region(tiles, PISO_MAIA, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 16:
                    al_draw_bitmap_region(tiles, DESERTO1, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 17:
                    al_draw_bitmap_region(tiles, GRAMA3, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 18:
                    al_draw_bitmap_region(tiles, GRAMA4, BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 19:
                    al_draw_bitmap_region(tiles, GRAMA5 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 20:
                    al_draw_bitmap_region(tiles, AGUA2 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 21:
                    al_draw_bitmap_region(tiles, GRAMA21 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 22:
                    al_draw_bitmap_region(tiles, DESERTO2 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 23:
                    al_draw_bitmap_region(tiles, DESERTO3 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 24:
                    al_draw_bitmap_region(tiles, DESERTO4 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 25:
                    al_draw_bitmap_region(tiles, DESERTO5 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 26:
                    al_draw_bitmap_region(tiles, DESERTO6 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 27:
                    al_draw_bitmap_region(tiles, NULL_TILE , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 28:
                    al_draw_bitmap_region(tiles, NULL_TILE , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 29:
                    al_draw_bitmap_region(tiles, NULL_TILE , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 30:
                    al_draw_bitmap_region(tiles, NULL_TILE , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 31:
                    al_draw_bitmap_region(tiles, ESCADA1 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 32:
                    al_draw_bitmap_region(tiles, PISO_MADEIRA1 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;

                case 33:
                    al_draw_bitmap_region(tiles, PISO_MADEIRA2 , BLOCK_SIZE, BLOCK_SIZE, i*BLOCK_SIZE, j*BLOCK_SIZE, 0);
                break;


        }


    }
}







/////////
